<?PHP
$m = 'Provisioning';
$berogui_path = "/usr/local/www/berogui";

/* [CHECKING SESSION] */
$newTarget = "/app/berogui/index.php?m=$m";
include($berogui_path .'/includes/session.php');
unset($newTarget);

/* [INCLUDE] */
include('/usr/fallback/beroConf.php');
include($berogui_path ."/includes/Helper/Helper.php");

$exec_ajax = 1;
$invalid = array();

/* [CHECKING GET REQUEST] */
unset($_GET);

/* [CHECKING POST REQUEST] */
unset($_POST['m'], $_POST['a'], $_POST['save'], $_POST['submit']);

$list_post = array('action' => 'select', 'provisioning_manual' => 'bool', 'provisioning_mode' => 'select', 'provisioning_url' => 'url', 'polling_interval' => 'int>=0', 'deleteMd5' => 'select');

$list_options = array( 
	'action' 		=> array('save')		 ,
	'provisioning_mode' 	=> array('off', 'once', 'always'),
	'deleteMd5'		=> array('Delete')		 ,
);

$_POST = Helper::sanitizePost($_POST, $list_post, $exec_ajax, $invalid, $list_options);

/* [EXECUTING AJAX] */
if (!$exec_ajax) {
        echo "<script>window.location='../../index.php?m=$m&error=1&request={$invalid['request']}&checkor={$invalid['checkor']}&key={$invalid['key']}'</script>";
        exit(1);
}

$bc = new beroConf('root');

if ($_POST['action'] == 'save') {
	$bc->set('root', 'provisioning_manual', '1');
	$bc->set('root', 'provisioning_mode', sqlite_escape_string($_POST['provisioning_mode']));
	$bc->set('root', 'provisioning_url', sqlite_escape_string($_POST['provisioning_url']));
	$bc->set('root', 'polling_interval', sqlite_escape_string($_POST['polling_interval']));
}
if (isset($_POST['deleteMd5'])) {
	$bc->delete('root', 'provisioning_config_md5');
}

Helper::activate(1, true, $m, ACTIVATE);
echo "<script>window.location='../../index.php?m=$m'</script>";
exit(1);
?>
